{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, start_window, msg\r\ndeclare subroutine record_lock, rlist\r\n$insert msg_equates\r\n$insert rlist_equates\r\n$insert recipe_equ\r\n* row one = call window\r\n* row two = call popup\r\nPopupId = entid( @appid<1>, 'POPUP', '', 'RECIPE_LOOKUP_OPTS' )\r\nChoosenRow = repository( 'EXECUTE', PopupId, @window, '' )\r\nif ChoosenRow = 1 then\r\n    * call recipe window\r\n    RetVal = start_window( 'RECIPE', @window, '*Choosing', '', '' )\r\nend else\r\n    if ChoosenRow = 2 then\r\n\t    *\r\n\t    Stmt = 'SELECT RECIPE BY RECIPE_NAME'\r\n        rlist( Stmt, target_activelist$, '', '', '' )\r\n        if @reccount then\r\n\t        PopupId = entid( @appid<1>, 'POPUP', '', 'CHOOSE_RECIPE' )\r\n\t        ChoosenRow = repository( 'EXECUTE', PopupId, @window, '' )\r\n\t        if ChoosenRow then\r\n \t           .epi_recipe->text = ChoosenRow\r\n                RecipeName = xlate( 'RECIPE', ChoosenRow, recipe_recipe_name$, 'X' )\r\n               .epi_recipe_name->text = RecipeName\r\n\t        end\r\n\t    end else\r\n\t        MsgInfo = ''\r\n\t        MsgInfo<mtext$> = 'Error no recipies returned.' \r\n\t        MsgInfo<micon$> = '!'\r\n\t        Void = msg( '', MsgInfo )\r\n\t    end\r\n\tend\r\nend    \r\nRETURN 0"
        }
    }
}